Bug 429467 - *** glibc detected *** /usr/sbin/logrotate: free(): invalid pointer: 0x0000003410150760 ***
*** glibc detected *** /usr/sbin/logrotate: free(): invalid pointer: 0x000000...
Status: CLOSED DUPLICATE of bug 429454
Product: Fedora
Classification: Fedora
Component: logrotate (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Tomas Smetana
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-20 14:07 EST by Dave Jones
Modified: 2015-01-04 17:30 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-21 01:59:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2008-01-20 14:07:04 EST
just saw this in a mail from cron.daily ..

*** glibc detected *** /usr/sbin/logrotate: free(): invalid pointer:
0x0000003410150760 ***
======= Backtrace: =========
/lib64/libc.so.6[0x340fe72832]
/lib64/libc.so.6(cfree+0x8c)[0x340fe75f2c]
/usr/sbin/logrotate[0x403443]
/usr/sbin/logrotate[0x405162]
/usr/sbin/logrotate[0x4059da]
/lib64/libc.so.6(__libc_start_main+0xf4)[0x340fe1e074]
/usr/sbin/logrotate[0x4021a9]
======= Memory map: ========
00400000-0040c000 r-xp 00000000 09:00 30795988                          
/usr/sbin/logrotate
0060b000-0060d000 rw-p 0000b000 09:00 30795988                          
/usr/sbin/logrotate
0060d000-0062e000 rw-p 0060d000 00:00 0                                  [heap]
30fb800000-30fb819000 r-xp 00000000 09:00 2195536                       
/lib64/libselinux.so.1
30fb819000-30fba18000 ---p 00019000 09:00 2195536                       
/lib64/libselinux.so.1
30fba18000-30fba1a000 rw-p 00018000 09:00 2195536                       
/lib64/libselinux.so.1
30fba1a000-30fba1b000 rw-p 30fba1a000 00:00 0
340ec00000-340ec1b000 r-xp 00000000 09:00 2195463                       
/lib64/ld-2.7.so
340ee1a000-340ee1b000 r--p 0001a000 09:00 2195463                       
/lib64/ld-2.7.so
340ee1b000-340ee1c000 rw-p 0001b000 09:00 2195463                       
/lib64/ld-2.7.so
340fe00000-340ff4d000 r-xp 00000000 09:00 2195468                       
/lib64/libc-2.7.so
340ff4d000-341014d000 ---p 0014d000 09:00 2195468                       
/lib64/libc-2.7.so
341014d000-3410151000 r--p 0014d000 09:00 2195468                       
/lib64/libc-2.7.so
3410151000-3410152000 rw-p 00151000 09:00 2195468                       
/lib64/libc-2.7.so
3410152000-3410157000 rw-p 3410152000 00:00 0
3410600000-3410602000 r-xp 00000000 09:00 2195471                       
/lib64/libdl-2.7.so
3410602000-3410802000 ---p 00002000 09:00 2195471                       
/lib64/libdl-2.7.so
3410802000-3410803000 r--p 00002000 09:00 2195471                       
/lib64/libdl-2.7.so
3410803000-3410804000 rw-p 00003000 09:00 2195471                       
/lib64/libdl-2.7.so
3418000000-341800d000 r-xp 00000000 09:00 2195505                       
/lib64/libgcc_s-4.1.2-20070925.so.1
341800d000-341820d000 ---p 0000d000 09:00 2195505                       
/lib64/libgcc_s-4.1.2-20070925.so.1
341820d000-341820e000 rw-p 0000d000 09:00 2195505                       
/lib64/libgcc_s-4.1.2-20070925.so.1
3a0aa00000-3a0aa08000 r-xp 00000000 09:00 2195474                       
/lib64/libpopt.so.0.0.0
3a0aa08000-3a0ac08000 ---p 00008000 09:00 2195474                       
/lib64/libpopt.so.0.0.0
3a0ac08000-3a0ac09000 rw-p 00008000 09:00 2195474                       
/lib64/libpopt.so.0.0.0
2aaaaaaab000-2aaaaaaad000 rw-p 2aaaaaaab000 00:00 0
2aaaaaacc000-2aaaaaace000 rw-p 2aaaaaacc000 00:00 0
2aaaaaace000-2aaaaf528000 r--p 00000000 09:00 30774875                  
/usr/lib/locale/locale-archive
2aaaaf528000-2aaaaf52f000 r--s 00000000 09:00 30867553                  
/usr/lib64/gconv/gconv-modules.cache
2aaaaf54e000-2aaaaf558000 r-xp 00000000 09:00 2195645                   
/lib64/libnss_files-2.7.so
2aaaaf558000-2aaaaf757000 ---p 0000a000 09:00 2195645                   
/lib64/libnss_files-2.7.so
2aaaaf757000-2aaaaf758000 r--p 00009000 09:00 2195645                   
/lib64/libnss_files-2.7.so
2aaaaf758000-2aaaaf759000 rw-p 0000a000 09:00 2195645                   
/lib64/libnss_files-2.7.so
2aaab0000000-2aaab0021000 rw-p 2aaab0000000 00:00 0
2aaab0021000-2aaab4000000 ---p 2aaab0021000 00:00 0
7fffdb8e3000-7fffdb8f8000 rw-p 7ffffffea000 00:00 0                      [stack]
7fffdb9fe000-7fffdba00000 r-xp 7fffdb9fe000 00:00 0                      [vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]
/etc/cron.daily/logrotate: line 3: 17102 Aborted                
/usr/sbin/logrotate /etc/logrotate.conf
Comment 1 Tomas Smetana 2008-01-21 01:59:21 EST

*** This bug has been marked as a duplicate of 429454 ***

Note You need to log in before you can comment on or make changes to this bug.